diff -r d400c1a673cf src/login-common/client-common.c
--- a/src/login-common/client-common.c	Sun Sep 22 03:17:12 2013 +0300
+++ b/src/login-common/client-common.c	Sun Sep 22 03:17:44 2013 +0300
@@ -561,9 +561,10 @@
 static const char *
 client_get_log_str(struct client *client, const char *msg)
 {
-	static struct var_expand_table static_tab[3] = {
+	static struct var_expand_table static_tab[] = {
 		{ 's', NULL, NULL },
 		{ '$', NULL, NULL },
+		{ '\0', NULL, "login_status" },
 		{ '\0', NULL, NULL }
 	};
 	const struct var_expand_table *var_expand_table;
@@ -603,6 +604,7 @@
 
 	tab[0].value = t_strdup(str_c(str));
 	tab[1].value = msg;
+	tab[2].value = client->login_success ? "OK" : "Failed";
 	str_truncate(str, 0);
 
 	var_expand(str, client->set->login_log_format, tab);
